{% extends 'layout.html' %}

{% block title %}
All Post
{% endblock %}

{% block body %}
<div class="container" style="text-align: center">
    <h1>All Posts</h1>

    {% if articles|length > 0 %}

        {% for el in articles %}
        <div class="alert alert-info">
            <h2>{{ el.title }}</h2>
            <p>{{ el.intro }}</p>
            <p><b>Date: {{ el.date.date() }}</b></p>
            <a href="/posts/{{ el.id }}" class="btn btn-warning">Details</a>
        </div>
        {% endfor %}
    {% else %}
        <p>There is no posts yet</p>
    {% endif %}
</div>
{% endblock %}